Skip to main content
GET
/
v1
/
functions
List functions
curl --request GET \
  --url https://flow.seekr.com/v1/functions \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v1/functions"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v1/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "version": 123,
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "code": "<string>",
    "user_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Headers

x-team-id
string | null

Query Parameters

limit
integer
default:20
Required range: x >= 0
order
enum<string>
default:desc

Options for order query param in list endpoints.

Available options:
asc,
desc
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

id
string
required
version
integer
required
name
string
required
description
string
required
active
boolean
required
code
string
required
user_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
Last modified on June 30, 2026